---
openapi: 3.0.1
info:
  title: Parma API V1
  version: v1
  description: |2

    # Authentication
    Parma API uses two authentication schemes: OAuth 2.0 and API token

    ## OAuth 2.0
    Parma API uses OAuth 2.0 authorization code grant flow. This enables users to share access to their Parma workspace with third-party apps.

    ### Pre-requisites
    Request a `client_id` and `client_secret` by sending an email message to partner@parma.ai. Please, include the following information in your request:
    1. App name
    1. App icon 512px &times; 512px in PNG format
    1. Redirect URI where user should be sent after granting (or rejecting) the access

    ### Authorization code grant flow
    1. User clicks on a link/button in your app
    1. Your app redirects the user to `https://app.parma.ai/oauth/authorize` with the following parameter in the query:
        1. `client_id` - the client id of your app.
        1. `redirect_uri` - the redirect URI of your app. It has to match the URI in app registration (see pre-requisites).
        1. `response_type=code` - the type of the flow. Set to `code`.
        1. `scope=full` - a list of scopes that customer will be granting. Set to `full`.
        1. `state` - a random string to be used to prevent Cross-Site Request Forgery (CSRF) attacks.
        1. `code_challenge_method` - Optional. Used for Proof Key for Code Exchange (PKCE) to enhance the security of the flow. If using, then set to `S256` and use SHA-256 hashing algorithm to generate the code challenge.
        1. `code_challenge` - Optional. Create a code verifier (a random string). Generate a digest using SHA-256 hashing algorithm. Send the resulting string without trailing `=`.
    1. User grants permissions to your app
    1. Parma redirects user back to your app via redirect URI with the following query parameters:
        1. `code` - the authorization code. Use it to request access and refresh tokens.
        1. `state` - state parameter value (CSRF) passed back. Verify that it is equal to the original value.
    1. Your app requests access and refresh tokens by making a POST request to `https://app.parma.ai/oauth/token` with the following parameters in the body:
        1. `client_id` - the client id of your app.
        1. `client_secret` - the client secret of your app.
        1. `grant_type=authorization_code` - the type of the grant. Set to `authorization_code`.
        1. `code` - the authorization code.
        1. `redirect_uri` - the redirect URI of your app. It has to match the URI in app registration (see pre-requisites).
        1. `code_verifier` - Optional. the value for the code verifier used in the step above to generate `code_challenge` (PKCE).
    1. Parma responds with the following JSON:
        ```javascript
        {
          'access_token':'...',
          'token_type':'Bearer',
          'expires_in':7200,
          'refresh_token':'...',
          'scope':'full',
          'created_at':1712704690
       }
       ```

    ### Refresh token flow
    Use the refresh token flow to request a new access token once the current has expired. Make a POST request `https://app.parma.ai/oauth/token` with the following parameters in the body:
    1. `client_id` - the client id of your app.
    1. `client_secret` - the client secret of your app.
    1. `grant_type=refresh_token` - the type of the grant. Set to `refresh_token`.
    1. `refresh_token` - use the refresh token received previously.
    1. `redirect_uri` - the redirect URI of your app. It has to match the URI in app registration (see pre-requisites).

    Parma will respond with the following JSON:
    ```javascript
    {
      'access_token':'...',
      'token_type':'Bearer',
      'expires_in':7200,
      'refresh_token':'...',
      'scope':'full',
      'created_at':1712704690
    }
    ```

    ## API token
    Users can locate API tokens for granting access to their Parma workspace on <https://app.parma.ai/api>. The API client must send this token in the Authorization header when making requests to protected resources:
    ```
    Authorization: Bearer <api token>
    ```

    # Making API calls

    All API calls should be made to `app.parma.ai` host. For example: `https://app.parma.ai/api/v1/groups`
paths:
  "/api/v1/deals":
    get:
      summary: List deals
      tags:
      - Deals
      security:
      - bearerAuth: []
      description: List all deals in the Parma account
      parameters:
      - name: page
        in: query
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: list of deals
          content:
            application/json:
              examples:
                first page of deals:
                  summary: first page of deals
                  value:
                    data:
                    - id: 193
                      name: Deal Beta
                      amount:
                      status: open
                      relationship_id: 998
                      pipeline_id: 567
                      stage_id: 1087
                      owned_by_id: 3415
                      created_at: '2025-06-16T23:09:39.099Z'
                      updated_at: '2025-06-17T00:09:39.149Z'
                      closed_at:
                    - id: 192
                      name: Deal Alpha
                      amount:
                      status: open
                      relationship_id: 997
                      pipeline_id: 565
                      stage_id: 1086
                      owned_by_id: 3412
                      created_at: '2025-06-16T00:09:39.058Z'
                      updated_at: '2025-06-17T00:09:39.099Z'
                      closed_at:
                    meta:
                      count: 2
                second page of deals:
                  summary: second page of deals
                  value:
                    data: []
                    meta:
                      count: 2
  "/api/v1/deals/{id}":
    get:
      summary: Get the deal
      tags:
      - Deals
      security:
      - bearerAuth: []
      description: Get the deal by its id
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: get the deal
          content:
            application/json:
              examples:
                get the deal:
                  summary: get the deal
                  value:
                    data:
                      id: 197
                      name: Deal
                      amount:
                      status: open
                      relationship_id: 1002
                      pipeline_id: 575
                      stage_id: 1091
                      owned_by_id: 3430
                      created_at: '2025-06-17T00:09:39.378Z'
                      updated_at: '2025-06-17T00:09:39.378Z'
                      closed_at:
                deal includes field values:
                  summary: deal includes field values
                  value:
                    data:
                      id: 198
                      name: Deal
                      amount:
                      status: open
                      relationship_id: 1003
                      pipeline_id: 577
                      stage_id: 1092
                      owned_by_id: 3434
                      created_at: '2025-06-17T00:09:39.441Z'
                      updated_at: '2025-06-17T00:09:39.441Z'
                      closed_at:
  "/api/v1/groups":
    get:
      summary: List groups
      tags:
      - Groups
      security:
      - bearerAuth: []
      description: List all groups in the Parma account
      parameters:
      - name: query
        in: query
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: list of groups
          content:
            application/json:
              examples:
                list of groups with newer on top:
                  summary: list of groups with newer on top
                  value:
                    data:
                    - id: 601
                      name: Group B
                      properties:
                      - id: 452
                        name: Field 3
                        type: text
                    - id: 600
                      name: Group A
                      properties:
                      - id: 450
                        name: Field 1
                        type: text
                      - id: 451
                        name: Field 2
                        type: text
                lists include custom fields:
                  summary: lists include custom fields
                  value:
                    data:
                    - id: 603
                      name: Group B
                      properties:
                      - id: 455
                        name: Field 3
                        type: text
                    - id: 602
                      name: Group A
                      properties:
                      - id: 453
                        name: Field 1
                        type: text
                      - id: 454
                        name: Field 2
                        type: text
                list of groups matching 'a':
                  summary: list of groups matching 'a'
                  value:
                    data:
                    - id: 604
                      name: Group A
                      properties:
                      - id: 456
                        name: Field 1
                        type: text
                      - id: 457
                        name: Field 2
                        type: text
                list of groups matching 'b':
                  summary: list of groups matching 'b'
                  value:
                    data:
                    - id: 607
                      name: Group B
                      properties:
                      - id: 461
                        name: Field 3
                        type: text
                list of groups matching 'group':
                  summary: list of groups matching 'group'
                  value:
                    data:
                    - id: 608
                      name: Group A
                      properties:
                      - id: 462
                        name: Field 1
                        type: text
                      - id: 463
                        name: Field 2
                        type: text
                    - id: 609
                      name: Group B
                      properties:
                      - id: 464
                        name: Field 3
                        type: text
  "/api/v1/notes":
    get:
      summary: List notes
      tags:
      - Notes
      security:
      - bearerAuth: []
      description: List all notes in the Parma account
      parameters:
      - name: page
        in: query
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: list of relationship notes
          content:
            application/json:
              examples:
                first page of notes for relationship a:
                  summary: first page of notes for relationship a
                  value:
                    data:
                    - id: 130
                      body: Third note
                      datetime: '2025-06-17T00:08:39.918Z'
                      relationship_ids:
                      - 1007
                      created_at: '2025-06-17T00:09:39.919Z'
                      updated_at: '2025-06-17T00:09:39.919Z'
                    - id: 129
                      body: Second note
                      datetime: '2025-06-16T23:09:39.914Z'
                      relationship_ids:
                      - 1006
                      - 1007
                      created_at: '2025-06-17T00:09:39.915Z'
                      updated_at: '2025-06-17T00:09:39.915Z'
                    - id: 128
                      body: First note
                      datetime: '2025-06-16T00:09:39.911Z'
                      relationship_ids:
                      - 1006
                      created_at: '2025-06-17T00:09:39.912Z'
                      updated_at: '2025-06-17T00:09:39.912Z'
                second page of notes relationship a:
                  summary: second page of notes relationship a
                  value:
                    data: []
    post:
      summary: Create a note
      tags:
      - Notes
      security:
      - bearerAuth: []
      description: Create a new note in the Parma account
      parameters: []
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '201':
          description: new note
          content:
            application/json:
              examples:
                new note with current time:
                  summary: new note with current time
                  value:
                    data:
                      id: 134
                      body: Note body one
                      datetime: '2025-06-17T00:09:40.291Z'
                      relationship_ids:
                      - 1013
                      - 1015
                      created_at: '2025-06-17T00:09:40.291Z'
                      updated_at: '2025-06-17T00:09:40.291Z'
                new note with custom time:
                  summary: new note with custom time
                  value:
                    data:
                      id: 135
                      body: Note body two
                      datetime: '2024-06-17T00:09:40.408Z'
                      relationship_ids:
                      - 1017
                      created_at: '2025-06-17T00:09:40.422Z'
                      updated_at: '2025-06-17T00:09:40.422Z'
                new multi line note:
                  summary: new multi line note
                  value:
                    data:
                      id: 136
                      body: |-
                        Note body three line one

                        line two

                        line three
                      datetime: '2024-06-17T00:09:40.534Z'
                      relationship_ids:
                      - 1020
                      created_at: '2025-06-17T00:09:40.549Z'
                      updated_at: '2025-06-17T00:09:40.549Z'
                new note with markdown:
                  summary: new note with markdown
                  value:
                    data:
                      id: 137
                      body: One **Two** Three
                      datetime: '2025-06-17T00:09:40.673Z'
                      relationship_ids:
                      - 1022
                      created_at: '2025-06-17T00:09:40.673Z'
                      updated_at: '2025-06-17T00:09:40.673Z'
        '422':
          description: validation errors
          content:
            application/json:
              examples:
                note without relationship:
                  summary: note without relationship
                  value:
                    errors:
                      relationships:
                      - can't be blank
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                datetime:
                  type: string
                relationship_ids:
                  type: array
                  items:
                    type: integer
                    format: int32
                body:
                  type: string
              required:
              - body
              - relationship_ids
  "/api/v1/notes/{id}":
    patch:
      summary: Update the note
      tags:
      - Notes
      security:
      - bearerAuth: []
      description: Updates existing note in the Parma account
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '201':
          description: update the note
          content:
            application/json:
              examples:
                update the note with all attributes:
                  summary: update the note with all attributes
                  value:
                    data:
                      id: 139
                      body: Updated first note
                      datetime: '2025-06-17T00:08:40.955Z'
                      relationship_ids:
                      - 1030
                      - 1031
                      created_at: '2025-06-17T00:09:40.952Z'
                      updated_at: '2025-06-17T00:09:40.969Z'
                update only body of the note:
                  summary: update only body of the note
                  value:
                    data:
                      id: 140
                      body: Updated first note
                      datetime: '2025-06-16T00:09:41.051Z'
                      relationship_ids:
                      - 1032
                      created_at: '2025-06-17T00:09:41.052Z'
                      updated_at: '2025-06-17T00:09:41.059Z'
                update with empty list of relationships:
                  summary: update with empty list of relationships
                  value:
                    data:
                      id: 141
                      body: First note
                      datetime: '2025-06-16T00:09:41.145Z'
                      relationship_ids:
                      - 1034
                      created_at: '2025-06-17T00:09:41.146Z'
                      updated_at: '2025-06-17T00:09:41.146Z'
                update only associated relationships of the note:
                  summary: update only associated relationships of the note
                  value:
                    data:
                      id: 142
                      body: First note
                      datetime: '2025-06-16T00:09:41.233Z'
                      relationship_ids:
                      - 1037
                      created_at: '2025-06-17T00:09:41.234Z'
                      updated_at: '2025-06-17T00:09:41.234Z'
                update only date of the note:
                  summary: update only date of the note
                  value:
                    data:
                      id: 143
                      body: First note
                      datetime: '2025-06-17T00:08:41.331Z'
                      relationship_ids:
                      - 1038
                      created_at: '2025-06-17T00:09:41.329Z'
                      updated_at: '2025-06-17T00:09:41.334Z'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                datetime:
                  type: string
                relationship_ids:
                  type: array
                  items:
                    type: integer
                    format: int32
                body:
                  type: string
  "/api/v1/pipelines":
    get:
      summary: List pipelines
      tags:
      - Pipelines
      security:
      - bearerAuth: []
      description: List all pipelines in the Parma account
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: list of pipelines
          content:
            application/json:
              examples:
                list of pipelines:
                  summary: list of pipelines
                  value:
                    data:
                    - id: 582
                      name: Pipeline B
                      position: 2
                      created_at: '2025-06-16T23:09:41.374Z'
                      updated_at: '2025-06-17T00:09:41.375Z'
                    - id: 581
                      name: Pipeline A
                      position: 1
                      created_at: '2025-06-16T00:09:41.372Z'
                      updated_at: '2025-06-17T00:09:41.372Z'
  "/api/v1/pipelines/{id}":
    get:
      summary: Get the pipeline
      tags:
      - Pipelines
      security:
      - bearerAuth: []
      description: Get the pipeline by its id
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: get the pipeline
          content:
            application/json:
              examples:
                get the pipeline:
                  summary: get the pipeline
                  value:
                    data:
                      id: 584
                      name: pipeline
                      position: 1
                      created_at: '2025-06-17T00:09:41.408Z'
                      updated_at: '2025-06-17T00:09:41.408Z'
  "/api/v1/relationships/{relationship_id}/groups":
    get:
      summary: List relationship groups
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: List all groups linked to the provided relationship
      parameters:
      - name: relationship_id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: list of relationship notes
          content:
            application/json:
              examples:
                groups for relationship a:
                  summary: groups for relationship a
                  value:
                    data:
                    - id: 314
                      group_id: 624
                      created_at: '2025-06-17T00:09:41.596Z'
                      updated_at: '2025-06-17T00:09:41.596Z'
                    - id: 315
                      group_id: 625
                      created_at: '2025-06-17T00:09:41.597Z'
                      updated_at: '2025-06-17T00:09:41.597Z'
                groups for relationship b:
                  summary: groups for relationship b
                  value:
                    data:
                    - id: 319
                      group_id: 626
                      created_at: '2025-06-17T00:09:41.693Z'
                      updated_at: '2025-06-17T00:09:41.693Z'
    post:
      summary: Add relationship to a group
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: Add relationship to a group
      parameters:
      - name: relationship_id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '201':
          description: adds relationship into a group
          content:
            application/json:
              examples:
                adds relationship to a group:
                  summary: adds relationship to a group
                  value:
                    data:
                      id: 322
                      group_id: 630
                      created_at: '2025-06-17T00:09:41.829Z'
                      updated_at: '2025-06-17T00:09:41.829Z'
                returns existing group membership:
                  summary: returns existing group membership
                  value:
                    data:
                      id: 323
                      group_id: 633
                      created_at: '2025-06-17T00:09:41.899Z'
                      updated_at: '2025-06-17T00:09:41.899Z'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                group_id:
                  type: integer
                  format: int32
              required:
              - group_id
  "/api/v1/relationships/{relationship_id}/groups/{relationship_group_id}":
    delete:
      summary: Remove relationship from a group
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: Remove relationship from a group
      parameters:
      - name: relationship_id
        in: path
        required: true
        schema:
          type: string
      - name: relationship_group_id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '204':
          description: removes relationship from a group
          content:
            application/json:
              examples:
                deletes the membership:
                  summary: deletes the membership
                  value: ''
  "/api/v1/relationships/{relationship_id}/notes":
    get:
      summary: List relationship notes
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: List all notes linked to the provided relationship
      parameters:
      - name: relationship_id
        in: path
        required: true
        schema:
          type: string
      - name: page
        in: query
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: list of relationship notes
          content:
            application/json:
              examples:
                first page of notes for relationship a:
                  summary: first page of notes for relationship a
                  value:
                    data:
                    - id: 148
                      body: Second note
                      datetime: '2025-06-16T23:09:42.245Z'
                      relationship_ids:
                      - 1055
                      - 1056
                      created_at: '2025-06-17T00:09:42.246Z'
                      updated_at: '2025-06-17T00:09:42.246Z'
                    - id: 147
                      body: First note
                      datetime: '2025-06-16T00:09:42.242Z'
                      relationship_ids:
                      - 1055
                      created_at: '2025-06-17T00:09:42.243Z'
                      updated_at: '2025-06-17T00:09:42.243Z'
                second page of notes relationship a:
                  summary: second page of notes relationship a
                  value:
                    data: []
                first page of notes for relationship b:
                  summary: first page of notes for relationship b
                  value:
                    data:
                    - id: 155
                      body: Third note
                      datetime: '2025-06-17T00:08:42.458Z'
                      relationship_ids:
                      - 1060
                      created_at: '2025-06-17T00:09:42.459Z'
                      updated_at: '2025-06-17T00:09:42.459Z'
                    - id: 154
                      body: Second note
                      datetime: '2025-06-16T23:09:42.454Z'
                      relationship_ids:
                      - 1059
                      - 1060
                      created_at: '2025-06-17T00:09:42.455Z'
                      updated_at: '2025-06-17T00:09:42.455Z'
  "/api/v1/relationships":
    get:
      summary: List relationships
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: List all relationships in the Parma account
      parameters:
      - name: name
        in: query
        schema:
          type: string
      - name: type
        in: query
        schema:
          type: string
      - name: page
        in: query
        schema:
          type: string
      - name: schedulinglink
        in: query
        schema:
          type: string
      - name: linkedin
        in: query
        schema:
          type: string
      - name: instagram
        in: query
        schema:
          type: string
      - name: twitter
        in: query
        schema:
          type: string
      - name: telegram
        in: query
        schema:
          type: string
      - name: sms
        in: query
        schema:
          type: string
      - name: phone
        in: query
        schema:
          type: string
      - name: whatsapp
        in: query
        schema:
          type: string
      - name: email
        in: query
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: list of relationships
          content:
            application/json:
              examples:
                first page of relationships:
                  summary: first page of relationships
                  value:
                    data:
                    - id: 1064
                      name: Relationship Beta
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id: 1063
                      group_ids: []
                      contact_details:
                      - type: email
                        value: beta.1@parma.ai
                      - type: email
                        value: beta.2@parma.ai
                      - type: linkedin
                        value: beta
                      properties: []
                      created_at: '2025-06-16T23:09:42.660Z'
                      updated_at: '2025-06-17T00:09:42.684Z'
                    - id: 1063
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Ecuador, 830 Hartmann Ridges, North Leena, Oklahoma,
                          06189
                      - type: schedulinglink
                        value: http://blick-simonis.test/raina.lemke
                      - type: linkedin
                        value: loida-mccullough
                      - type: instagram
                        value: gerald
                      - type: twitter
                        value: eva_johnston
                      - type: telegram
                        value: nigel_klein
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: lyman@stanton.test
                      properties:
                      - id: 467
                        name: Field 1
                        value: Field 1 Value
                      - id: 468
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:42.633Z'
                      updated_at: '2025-06-17T00:09:42.656Z'
                    meta:
                      count: 2
                relationships include contact details:
                  summary: relationships include contact details
                  value:
                    data:
                    - id: 1066
                      name: Relationship Beta
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id: 1065
                      group_ids: []
                      contact_details:
                      - type: email
                        value: beta.1@parma.ai
                      - type: email
                        value: beta.2@parma.ai
                      - type: linkedin
                        value: beta
                      properties: []
                      created_at: '2025-06-16T23:09:42.774Z'
                      updated_at: '2025-06-17T00:09:42.798Z'
                    - id: 1065
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Saint Pierre and Miquelon, 413 Colby Cove, Auerstad,
                          West Virginia, 45477-1470
                      - type: schedulinglink
                        value: http://hammes.example/fausto
                      - type: linkedin
                        value: valentine
                      - type: instagram
                        value: kittie.wiza
                      - type: twitter
                        value: rosa_kirlin
                      - type: telegram
                        value: nanci
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: monika@stokes-runolfsdottir.test
                      properties:
                      - id: 469
                        name: Field 1
                        value: Field 1 Value
                      - id: 470
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:42.747Z'
                      updated_at: '2025-06-17T00:09:42.770Z'
                    meta:
                      count: 2
                relationships include field values:
                  summary: relationships include field values
                  value:
                    data:
                    - id: 1068
                      name: Relationship Beta
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id: 1067
                      group_ids: []
                      contact_details:
                      - type: email
                        value: beta.1@parma.ai
                      - type: email
                        value: beta.2@parma.ai
                      - type: linkedin
                        value: beta
                      properties: []
                      created_at: '2025-06-16T23:09:42.890Z'
                      updated_at: '2025-06-17T00:09:42.914Z'
                    - id: 1067
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Åland Islands, 44258 Kautzer Greens, Jeanninechester,
                          Montana, 58320
                      - type: schedulinglink
                        value: http://treutel.test/guadalupe
                      - type: linkedin
                        value: claud
                      - type: instagram
                        value: isiah
                      - type: twitter
                        value: dean_oberbrunner
                      - type: telegram
                        value: janae
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: ina@cole.example
                      properties:
                      - id: 471
                        name: Field 1
                        value: Field 1 Value
                      - id: 472
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:42.860Z'
                      updated_at: '2025-06-17T00:09:42.886Z'
                    meta:
                      count: 2
                second page of relationships:
                  summary: second page of relationships
                  value:
                    data: []
                    meta:
                      count: 2
                first page of relationships with name 'relationship alpha':
                  summary: first page of relationships with name 'relationship alpha'
                  value:
                    data:
                    - id: 1071
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Italy, 50307 Jarred Islands, Joyamouth, Tennessee,
                          63590-9859
                      - type: schedulinglink
                        value: http://lakin.example/brenton_herzog
                      - type: linkedin
                        value: mel
                      - type: instagram
                        value: ewa
                      - type: twitter
                        value: ivelisse
                      - type: telegram
                        value: tiffaney
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: evan.renner@bashirian.test
                      properties:
                      - id: 475
                        name: Field 1
                        value: Field 1 Value
                      - id: 476
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:43.078Z'
                      updated_at: '2025-06-17T00:09:43.103Z'
                    meta:
                      count: 1
                first page of relationships with name 'relationship beta':
                  summary: first page of relationships with name 'relationship beta'
                  value:
                    data:
                    - id: 1074
                      name: Relationship Beta
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id: 1073
                      group_ids: []
                      contact_details:
                      - type: email
                        value: beta.1@parma.ai
                      - type: email
                        value: beta.2@parma.ai
                      - type: linkedin
                        value: beta
                      properties: []
                      created_at: '2025-06-16T23:09:43.214Z'
                      updated_at: '2025-06-17T00:09:43.238Z'
                    meta:
                      count: 1
                first page of relationships with type 'company':
                  summary: first page of relationships with type 'company'
                  value:
                    data:
                    - id: 1075
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Spain, 76967 Rosenbaum Mews, West Jong, Kentucky, 91306-0651
                      - type: schedulinglink
                        value: http://schmidt.example/shaun
                      - type: linkedin
                        value: vicente-zieme
                      - type: instagram
                        value: marvin
                      - type: twitter
                        value: kristina
                      - type: telegram
                        value: shantelle_koch
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: adrian@bradtke.example
                      properties:
                      - id: 479
                        name: Field 1
                        value: Field 1 Value
                      - id: 480
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:43.293Z'
                      updated_at: '2025-06-17T00:09:43.317Z'
                    meta:
                      count: 1
                first page of relationships with type 'person':
                  summary: first page of relationships with type 'person'
                  value:
                    data:
                    - id: 1078
                      name: Relationship Beta
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id: 1077
                      group_ids: []
                      contact_details:
                      - type: email
                        value: beta.1@parma.ai
                      - type: email
                        value: beta.2@parma.ai
                      - type: linkedin
                        value: beta
                      properties: []
                      created_at: '2025-06-16T23:09:43.427Z'
                      updated_at: '2025-06-17T00:09:43.452Z'
                    meta:
                      count: 1
                first page of relationships with name 'relationship':
                  summary: first page of relationships with name 'relationship'
                  value:
                    data: []
                    meta:
                      count: 0
                first page of relationships with filtering by upper case schedulinglink value:
                  summary: first page of relationships with filtering by upper case
                    schedulinglink value
                  value:
                    data:
                    - id: 1081
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Slovenia, 4345 Herman Hollow, Hicklefurt, Florida,
                          23594-2529
                      - type: schedulinglink
                        value: http://ankunding.test/cathey_hermiston
                      - type: linkedin
                        value: genaro-kilback
                      - type: instagram
                        value: roland.yost
                      - type: twitter
                        value: antoine_klein
                      - type: telegram
                        value: lavern
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: thalia.wisozk@halvorson.test
                      properties:
                      - id: 485
                        name: Field 1
                        value: Field 1 Value
                      - id: 486
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:43.615Z'
                      updated_at: '2025-06-17T00:09:43.637Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case schedulinglink value:
                  summary: first page of relationships with filtering by lower case
                    schedulinglink value
                  value:
                    data:
                    - id: 1083
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Turkey, 400 Jenelle Underpass, Kassulkeport, New Jersey,
                          74367
                      - type: schedulinglink
                        value: http://rice-weber.example/dion
                      - type: linkedin
                        value: myles-rippin
                      - type: instagram
                        value: cedric.wiegand
                      - type: twitter
                        value: salvatore
                      - type: telegram
                        value: rubie
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: shanon@tremblay.example
                      properties:
                      - id: 487
                        name: Field 1
                        value: Field 1 Value
                      - id: 488
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:43.724Z'
                      updated_at: '2025-06-17T00:09:43.751Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case linkedin value:
                  summary: first page of relationships with filtering by upper case
                    linkedin value
                  value:
                    data:
                    - id: 1085
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Luxembourg, 5936 Dan Curve, Gemmaburgh, Delaware, 96864
                      - type: schedulinglink
                        value: http://kunze-gislason.test/garrett_steuber
                      - type: linkedin
                        value: selina-kautzer
                      - type: instagram
                        value: shandra
                      - type: twitter
                        value: irwin
                      - type: telegram
                        value: noelia_west
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: fredric.armstrong@lockman-boyle.example
                      properties:
                      - id: 489
                        name: Field 1
                        value: Field 1 Value
                      - id: 490
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:43.837Z'
                      updated_at: '2025-06-17T00:09:43.861Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case linkedin value:
                  summary: first page of relationships with filtering by lower case
                    linkedin value
                  value:
                    data:
                    - id: 1087
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Equatorial Guinea, 16761 Minerva Orchard, South Mayme,
                          Idaho, 87212-9428
                      - type: schedulinglink
                        value: http://turcotte-brakus.test/luciano
                      - type: linkedin
                        value: delcie
                      - type: instagram
                        value: shirleen.batz
                      - type: twitter
                        value: therese_swift
                      - type: telegram
                        value: emilio
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: josef@cole-robel.test
                      properties:
                      - id: 491
                        name: Field 1
                        value: Field 1 Value
                      - id: 492
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:43.947Z'
                      updated_at: '2025-06-17T00:09:43.970Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case instagram value:
                  summary: first page of relationships with filtering by upper case
                    instagram value
                  value:
                    data:
                    - id: 1089
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Palestine, State of, 68849 Weimann Motorway, Clementbury,
                          Delaware, 05039
                      - type: schedulinglink
                        value: http://waters-hegmann.example/bennett
                      - type: linkedin
                        value: gaynell-hilll
                      - type: instagram
                        value: meagan
                      - type: twitter
                        value: hector_cronin
                      - type: telegram
                        value: harvey_stokes
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: deedee_kozey@vonrueden.example
                      properties:
                      - id: 493
                        name: Field 1
                        value: Field 1 Value
                      - id: 494
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.059Z'
                      updated_at: '2025-06-17T00:09:44.084Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case instagram value:
                  summary: first page of relationships with filtering by lower case
                    instagram value
                  value:
                    data:
                    - id: 1091
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Puerto Rico, 679 Candelaria Trace, Romagueraland, Oregon,
                          01083-8545
                      - type: schedulinglink
                        value: http://reilly.example/kelsie.abernathy
                      - type: linkedin
                        value: rico
                      - type: instagram
                        value: hugh
                      - type: twitter
                        value: rodger_anderson
                      - type: telegram
                        value: carmella
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: barbar@emard.test
                      properties:
                      - id: 495
                        name: Field 1
                        value: Field 1 Value
                      - id: 496
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.206Z'
                      updated_at: '2025-06-17T00:09:44.228Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case twitter value:
                  summary: first page of relationships with filtering by upper case
                    twitter value
                  value:
                    data:
                    - id: 1093
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: French Southern Territories, 8964 Norman Highway, Fridastad,
                          South Carolina, 05320
                      - type: schedulinglink
                        value: http://stoltenberg.test/hattie.lubowitz
                      - type: linkedin
                        value: stephan-friesen
                      - type: instagram
                        value: pasquale_cartwright
                      - type: twitter
                        value: akilah_lubowitz
                      - type: telegram
                        value: bambi_bins
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: guadalupe@harvey.example
                      properties:
                      - id: 497
                        name: Field 1
                        value: Field 1 Value
                      - id: 498
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.316Z'
                      updated_at: '2025-06-17T00:09:44.341Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case twitter value:
                  summary: first page of relationships with filtering by lower case
                    twitter value
                  value:
                    data:
                    - id: 1095
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Sri Lanka, 5278 Corliss Spur, Montyfurt, Illinois,
                          82243-7609
                      - type: schedulinglink
                        value: http://hane.test/prince_huels
                      - type: linkedin
                        value: len
                      - type: instagram
                        value: shayla
                      - type: twitter
                        value: darrell
                      - type: telegram
                        value: cheyenne_becker
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: victor@king.test
                      properties:
                      - id: 499
                        name: Field 1
                        value: Field 1 Value
                      - id: 500
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.425Z'
                      updated_at: '2025-06-17T00:09:44.448Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case telegram value:
                  summary: first page of relationships with filtering by upper case
                    telegram value
                  value:
                    data:
                    - id: 1097
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Myanmar, 5263 Harris Ramp, Minhville, West Virginia,
                          54287-4796
                      - type: schedulinglink
                        value: http://kris.test/greta
                      - type: linkedin
                        value: lazaro-kunze
                      - type: instagram
                        value: michel
                      - type: twitter
                        value: pasquale
                      - type: telegram
                        value: hyo_kreiger
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: marline@runte-frami.test
                      properties:
                      - id: 501
                        name: Field 1
                        value: Field 1 Value
                      - id: 502
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.535Z'
                      updated_at: '2025-06-17T00:09:44.559Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case telegram value:
                  summary: first page of relationships with filtering by lower case
                    telegram value
                  value:
                    data:
                    - id: 1099
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Bahamas, 1167 Moen Mission, Yosthaven, Montana, 74454
                      - type: schedulinglink
                        value: http://oberbrunner.test/irwin_feeney
                      - type: linkedin
                        value: son-corkery
                      - type: instagram
                        value: dylan
                      - type: twitter
                        value: vaughn_hagenes
                      - type: telegram
                        value: alfonzo
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: tyler@king-nitzsche.example
                      properties:
                      - id: 503
                        name: Field 1
                        value: Field 1 Value
                      - id: 504
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.644Z'
                      updated_at: '2025-06-17T00:09:44.670Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case sms value:
                  summary: first page of relationships with filtering by upper case
                    sms value
                  value:
                    data:
                    - id: 1101
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: San Marino, 3038 Little Port, Rowemouth, North Carolina,
                          03521
                      - type: schedulinglink
                        value: http://ruecker.example/cleveland_willms
                      - type: linkedin
                        value: samella-baumbach
                      - type: instagram
                        value: aurelia.bauch
                      - type: twitter
                        value: elly_schultz
                      - type: telegram
                        value: elin
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: shawnta_abshire@wehner.test
                      properties:
                      - id: 505
                        name: Field 1
                        value: Field 1 Value
                      - id: 506
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.755Z'
                      updated_at: '2025-06-17T00:09:44.779Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case sms value:
                  summary: first page of relationships with filtering by lower case
                    sms value
                  value:
                    data:
                    - id: 1103
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Bhutan, 721 Nita Squares, East Ilenebury, Indiana,
                          50204-0399
                      - type: schedulinglink
                        value: http://feil.example/kara_gibson
                      - type: linkedin
                        value: emmanuel-zboncak
                      - type: instagram
                        value: ezra.kemmer
                      - type: twitter
                        value: min_roob
                      - type: telegram
                        value: louie
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: ophelia.abbott@walker.example
                      properties:
                      - id: 507
                        name: Field 1
                        value: Field 1 Value
                      - id: 508
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.866Z'
                      updated_at: '2025-06-17T00:09:44.890Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case phone value:
                  summary: first page of relationships with filtering by upper case
                    phone value
                  value:
                    data:
                    - id: 1105
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Faroe Islands, 606 Yost Haven, Bruenborough, West Virginia,
                          29368-8929
                      - type: schedulinglink
                        value: http://kris.example/florencio
                      - type: linkedin
                        value: raina-considine
                      - type: instagram
                        value: ardella_aufderhar
                      - type: twitter
                        value: keva_schoen
                      - type: telegram
                        value: lory_bogan
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: kurt@hayes-reichel.test
                      properties:
                      - id: 509
                        name: Field 1
                        value: Field 1 Value
                      - id: 510
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:44.975Z'
                      updated_at: '2025-06-17T00:09:45.000Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case phone value:
                  summary: first page of relationships with filtering by lower case
                    phone value
                  value:
                    data:
                    - id: 1107
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Bonaire, Sint Eustatius and Saba, 5726 Moen Vista,
                          Lainemouth, Michigan, 26830
                      - type: schedulinglink
                        value: http://mclaughlin-okeefe.test/leonardo
                      - type: linkedin
                        value: karine
                      - type: instagram
                        value: kaycee.hodkiewicz
                      - type: twitter
                        value: londa_brekke
                      - type: telegram
                        value: adalberto
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: rey@heller.example
                      properties:
                      - id: 511
                        name: Field 1
                        value: Field 1 Value
                      - id: 512
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:45.089Z'
                      updated_at: '2025-06-17T00:09:45.114Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case whatsapp value:
                  summary: first page of relationships with filtering by upper case
                    whatsapp value
                  value:
                    data:
                    - id: 1109
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Angola, 15853 Dare Highway, Port Bethborough, Idaho,
                          59381-0625
                      - type: schedulinglink
                        value: http://daugherty-goldner.test/tiana.sauer
                      - type: linkedin
                        value: lanny
                      - type: instagram
                        value: desmond
                      - type: twitter
                        value: sonja_streich
                      - type: telegram
                        value: emely_bailey
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: tiffaney@paucek.test
                      properties:
                      - id: 513
                        name: Field 1
                        value: Field 1 Value
                      - id: 514
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:45.200Z'
                      updated_at: '2025-06-17T00:09:45.223Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case whatsapp value:
                  summary: first page of relationships with filtering by lower case
                    whatsapp value
                  value:
                    data:
                    - id: 1111
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Christmas Island, 518 Conrad Plain, East Jacinto, North
                          Carolina, 93967-0121
                      - type: schedulinglink
                        value: http://johnston-rempel.test/leia_legros
                      - type: linkedin
                        value: gregory-ernser
                      - type: instagram
                        value: stanley_tremblay
                      - type: twitter
                        value: lloyd
                      - type: telegram
                        value: efren_veum
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: magan_bartell@schumm.test
                      properties:
                      - id: 515
                        name: Field 1
                        value: Field 1 Value
                      - id: 516
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:45.311Z'
                      updated_at: '2025-06-17T00:09:45.337Z'
                    meta:
                      count: 1
                first page of relationships with filtering by upper case email value:
                  summary: first page of relationships with filtering by upper case
                    email value
                  value:
                    data:
                    - id: 1113
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Romania, 63052 Padberg River, Kuvalisbury, Maine, 48481-1438
                      - type: schedulinglink
                        value: http://waters.test/angla.rempel
                      - type: linkedin
                        value: fausto
                      - type: instagram
                        value: autumn_kunze
                      - type: twitter
                        value: danille_monahan
                      - type: telegram
                        value: belle
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: gertrud@bechtelar.test
                      properties:
                      - id: 517
                        name: Field 1
                        value: Field 1 Value
                      - id: 518
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:45.424Z'
                      updated_at: '2025-06-17T00:09:45.450Z'
                    meta:
                      count: 1
                first page of relationships with filtering by lower case email value:
                  summary: first page of relationships with filtering by lower case
                    email value
                  value:
                    data:
                    - id: 1115
                      name: Relationship Alpha
                      type: company
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details:
                      - type: address
                        value: Congo, 8256 Carter Junctions, South Gertrude, Alabama,
                          87974
                      - type: schedulinglink
                        value: http://maggio.example/greg.ernser
                      - type: linkedin
                        value: dorie-schmidt
                      - type: instagram
                        value: laree
                      - type: twitter
                        value: tyree_kunde
                      - type: telegram
                        value: dovie
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: matthew_stoltenberg@green.example
                      properties:
                      - id: 519
                        name: Field 1
                        value: Field 1 Value
                      - id: 520
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-16T00:09:45.541Z'
                      updated_at: '2025-06-17T00:09:45.564Z'
                    meta:
                      count: 1
    post:
      summary: Create a relationship
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: Create a new relationships in the Parma account
      parameters: []
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '201':
          description: new relationship
          content:
            application/json:
              examples:
                relationship with name, type, company_id and groups:
                  summary: relationship with name, type, company_id and groups
                  value:
                    data:
                      id: 1121
                      name: Test Relationship
                      type: person
                      about: ''
                      company_id: 1119
                      group_ids:
                      - 669
                      - 671
                      contact_details: []
                      properties: []
                      created_at: '2025-06-17T00:09:45.919Z'
                      updated_at: '2025-06-17T00:09:45.919Z'
                relationship with name, type, groups and about:
                  summary: relationship with name, type, groups and about
                  value:
                    data:
                      id: 1124
                      name: Test Company
                      type: company
                      about: |-
                        About text for Test Company

                        Second line
                      company_id:
                      group_ids:
                      - 673
                      contact_details: []
                      properties: []
                      created_at: '2025-06-17T00:09:46.046Z'
                      updated_at: '2025-06-17T00:09:46.046Z'
                relationship with markdown about:
                  summary: relationship with markdown about
                  value:
                    data:
                      id: 1127
                      name: Test Company
                      type: person
                      about: One **Two** Three
                      company_id:
                      group_ids:
                      - 675
                      contact_details: []
                      properties: []
                      created_at: '2025-06-17T00:09:46.166Z'
                      updated_at: '2025-06-17T00:09:46.166Z'
                relationship with all contact details:
                  summary: relationship with all contact details
                  value:
                    data:
                      id: 1130
                      name: Test Person
                      type: person
                      about: ''
                      company_id:
                      group_ids:
                      - 679
                      contact_details:
                      - type: address
                        value: Uruguay, 7413 Nikolaus Forge, Hahnburgh, Wyoming, 79644
                      - type: schedulinglink
                        value: http://spinka-koepp.test/marcos
                      - type: linkedin
                        value: elvina
                      - type: instagram
                        value: fran
                      - type: twitter
                        value: ramona_okeefe
                      - type: telegram
                        value: ezra
                      - type: sms
                        value: "+1 800 123-45-67"
                      - type: phone
                        value: "+1 800 123-45-67"
                      - type: whatsapp
                        value: "+1 (800) 123-4567"
                      - type: email
                        value: esteban@cummings.test
                      properties: []
                      created_at: '2025-06-17T00:09:46.316Z'
                      updated_at: '2025-06-17T00:09:46.316Z'
                relationship with contact details of the same type:
                  summary: relationship with contact details of the same type
                  value:
                    data:
                      id: 1133
                      name: Test Person
                      type: person
                      about: ''
                      company_id:
                      group_ids:
                      - 682
                      contact_details:
                      - type: email
                        value: ai@green-morissette.test
                      - type: email
                        value: thresa@davis-bins.example
                      properties: []
                      created_at: '2025-06-17T00:09:46.454Z'
                      updated_at: '2025-06-17T00:09:46.454Z'
                relationship with blank contact details value:
                  summary: relationship with blank contact details value
                  value:
                    data:
                      id: 1136
                      name: Test Person
                      type: person
                      about: ''
                      company_id:
                      group_ids:
                      - 685
                      contact_details:
                      - type: email
                        value: rhett@larkin.test
                      properties: []
                      created_at: '2025-06-17T00:09:46.577Z'
                      updated_at: '2025-06-17T00:09:46.577Z'
                relationship with existing group specified by name:
                  summary: relationship with existing group specified by name
                  value:
                    data:
                      id: 1139
                      name: Test Relationship
                      type: person
                      about: ''
                      company_id:
                      group_ids:
                      - 687
                      contact_details: []
                      properties: []
                      created_at: '2025-06-17T00:09:46.716Z'
                      updated_at: '2025-06-17T00:09:46.716Z'
                relationship with non existing group specified by name:
                  summary: relationship with non existing group specified by name
                  value:
                    data:
                      id: 1142
                      name: Test Relationship
                      type: person
                      about: ''
                      company_id:
                      group_ids:
                      - 693
                      contact_details: []
                      properties: []
                      created_at: '2025-06-17T00:09:46.855Z'
                      updated_at: '2025-06-17T00:09:46.855Z'
        '422':
          description: validation errors
          content:
            application/json:
              examples:
                relationship without name:
                  summary: relationship without name
                  value:
                    errors:
                      name:
                      - can't be blank
                relationship with invalid company:
                  summary: relationship with invalid company
                  value:
                    errors:
                      company_id:
                      - Company cannot be a person.
                company with company:
                  summary: company with company
                  value:
                    errors:
                      company_id:
                      - Company can only be set on people.
                relationship with empty groups:
                  summary: relationship with empty groups
                  value:
                    errors:
                      group_ids:
                      - can't be blank
                relationship without groups:
                  summary: relationship without groups
                  value:
                    errors:
                      group_ids:
                      - can't be blank
                relationship with invalid contact details:
                  summary: relationship with invalid contact details
                  value:
                    errors:
                      contact_channels.value:
                      - is not an email
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                type:
                  type: string
                  enum:
                  - person
                  - company
                company_id:
                  type: integer
                  format: int32
                group_ids:
                  type: array
                  items:
                    type: integer
                    format: int32
                about:
                  type: string
              required:
              - name
              - group_ids
  "/api/v1/relationships/{id}":
    get:
      summary: Get the relationship
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: Get the relationship by its id
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: get the relationship
          content:
            application/json:
              examples:
                get the relationship:
                  summary: get the relationship
                  value:
                    data:
                      id: 1156
                      name: Relationship
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details: []
                      properties:
                      - id: 523
                        name: Field 1
                        value: Field 1 Value
                      - id: 524
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-17T00:09:47.661Z'
                      updated_at: '2025-06-17T00:09:47.661Z'
                relationship includes field values:
                  summary: relationship includes field values
                  value:
                    data:
                      id: 1157
                      name: Relationship
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids: []
                      contact_details: []
                      properties:
                      - id: 525
                        name: Field 1
                        value: Field 1 Value
                      - id: 526
                        name: Field 2
                        value: Field 2 Value
                      created_at: '2025-06-17T00:09:47.721Z'
                      updated_at: '2025-06-17T00:09:47.721Z'
    patch:
      summary: Update relationship
      tags:
      - Relationships
      security:
      - bearerAuth: []
      description: Update the relationships in the Parma account
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        '401':
          description: authentication failed
          content:
            application/json:
              examples:
                authentication failed:
                  summary: authentication failed
                  value: 'HTTP Token: Access denied.

                    '
        '200':
          description: update relationship
          content:
            application/json:
              examples:
                updates relationship name and type:
                  summary: updates relationship name and type
                  value:
                    data:
                      id: 1163
                      name: Test Relationship
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids:
                      - 718
                      contact_details: []
                      properties:
                      - id: 530
                        name: Field 1
                        value: Value 1
                      - id: 531
                        name: Field 2
                        value: Value 2
                      created_at: '2025-06-17T00:09:48.057Z'
                      updated_at: '2025-06-17T00:09:48.069Z'
                updates relationship about:
                  summary: updates relationship about
                  value:
                    data:
                      id: 1166
                      name: Relationship
                      type: person
                      about: |-
                        About text for Test Company

                        Second line
                      company_id:
                      group_ids:
                      - 721
                      contact_details: []
                      properties:
                      - id: 533
                        name: Field 1
                        value: Value 1
                      - id: 534
                        name: Field 2
                        value: Value 2
                      created_at: '2025-06-17T00:09:48.209Z'
                      updated_at: '2025-06-17T00:09:48.223Z'
                updates relationship company_id:
                  summary: updates relationship company_id
                  value:
                    data:
                      id: 1169
                      name: Relationship
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id: 1167
                      group_ids:
                      - 724
                      contact_details: []
                      properties:
                      - id: 536
                        name: Field 1
                        value: Value 1
                      - id: 537
                        name: Field 2
                        value: Value 2
                      created_at: '2025-06-17T00:09:48.363Z'
                      updated_at: '2025-06-17T00:09:48.375Z'
                updates relationship groups:
                  summary: updates relationship groups
                  value:
                    data:
                      id: 1172
                      name: Relationship
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids:
                      - 728
                      contact_details: []
                      properties:
                      - id: 539
                        name: Field 1
                        value: Value 1
                      - id: 540
                        name: Field 2
                        value: Value 2
                      created_at: '2025-06-17T00:09:48.530Z'
                      updated_at: '2025-06-17T00:09:48.530Z'
                updates relationship with markdown about:
                  summary: updates relationship with markdown about
                  value:
                    data:
                      id: 1175
                      name: Relationship
                      type: person
                      about: One **Two** Three
                      company_id:
                      group_ids:
                      - 730
                      contact_details: []
                      properties:
                      - id: 542
                        name: Field 1
                        value: Value 1
                      - id: 543
                        name: Field 2
                        value: Value 2
                      created_at: '2025-06-17T00:09:48.679Z'
                      updated_at: '2025-06-17T00:09:48.695Z'
                does not update relationship with all contact details:
                  summary: does not update relationship with all contact details
                  value:
                    data:
                      id: 1178
                      name: Relationship
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
                      group_ids:
                      - 733
                      contact_details: []
                      properties:
                      - id: 545
                        name: Field 1
                        value: Value 1
                      - id: 546
                        name: Field 2
                        value: Value 2
                      created_at: '2025-06-17T00:09:48.835Z'
                      updated_at: '2025-06-17T00:09:48.835Z'
                updates relationship with existing group specified by name:
                  summary: updates relationship with existing group specified by name
                  value:
                    data:
                      id: 1181
                      name: Relationship
                      type: person
                      about: |-
                        Comment line 1

                        Comment line 2
                      company_id:
[...]
